//
//  Help.m
//  X-BASIC'
//
//  Created by AIG-Soft on 2012/08/17.
//  Copyright 2012-2015 AIG-Soft. All rights reserved.
//

// このHelpはiPhoneからしか呼び出されないのでiPadよう処理は排除してある

#import "Help.h"
#import	"main.h"
#import "click.h"

@implementation Help

//-------------------------------------------------------------------

-(void)viewDidLoad
{
	printSelf();
    [super viewDidLoad];
	//
	UINavigationItem *naviItem=self.navigationItem;
	naviItem.title=NSLocalStr(@"HELPTITLE");
	naviItem.leftBarButtonItem=[[UIBarButtonItem alloc] initWithTitle:NSLocalStr(@"CLOSE") style:UIBarButtonItemStylePlain target:target action:selector];
	
	// iOS7で、viewの下にあるUIScrollViewを内包するUI要素(UITableView/UIScrollView/UIWebViewなど)のスクロール開始位置が勝手にずらされるのを禁止する
	self.automaticallyAdjustsScrollViewInsets=NO;

	//
	alertView=[[AlertViewSub alloc]init];
	
	// Helpが何故かローカライズされないので、プログラム的に行う
	UIView *content;
	if (isLocalizeJapan()) {
		// 日本語のとき
		content=contentViewJ;
	} else {
		content=contentViewE;
	}
	scView.contentSize=content.frame.size;	// このサイズ指定が重要
	printSize(@"help.contentSize", scView.contentSize);

	scView.scrollIndicatorInsets=scView.contentInset;
	scView.showsVerticalScrollIndicator=YES; // 垂直スクロールバー表示

	[scView addSubview:content];
}

-(void)viewDidDisappear:(BOOL)animated
// ビューが消えた
{
	printSelf();
	[super viewDidDisappear:animated];
	
	_fclosePopover=YES; // もう画面は閉じたの印
}

-(void)viewDidAppear:(BOOL)animated
// ビューが表示された
{
	printSelf();
	[super viewDidAppear:animated];
	_fclosePopover=NO; // 画面を表示したの印
}

//---------------------------------------------------

// target:selector=閉じるときの処理
/// viewDidLoad前に呼び出されることもあるので注意
-(void)open:(id)target_ selector:(SEL)selector_
{
	printSelf();
	target	=target_;
	selector=selector_;
}

//---------------------------------------------------

-(void)link:(id)sender
{
	printSelf();
	// リンクへ飛ぶ
	NSURL *url=[NSURL URLWithString:NSLocalStr(@"LINK")];
	nslog(@"url=%@",url);
	[[UIApplication sharedApplication] openURL:url]; // httpがあるので自動的にブラウザが立ち上がる
}

-(IBAction)pushButton:(id)sender
{
	printSelfs(@"%@",sender);
	UIButton *btn=(UIButton *)sender;
	switch (btn.tag) {
		case BTN_SUPPORT:
			nslog(@"サポートHPを開く");
			[alertView alertExecute:YES target:self selector:@selector(link:) delay:0.0 title:@"" message:@"SUPPORT"]; // ここでクリック音がなる
			break;
	}
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

//---------------------------------------------------

- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation duration:(NSTimeInterval)duration
// 回転検出：回転前
{
	printSelfs(@"Orientation=%d",(int)interfaceOrientation);
	understandOrientation(interfaceOrientation); // 画面方向を記録
	// interfaceOrientationは新しい方向
	switch (interfaceOrientation) {
		default:
		case UIInterfaceOrientationPortrait:
		case UIInterfaceOrientationPortraitUpsideDown:
			nslog(@"縦方向");
			break;
		case UIInterfaceOrientationLandscapeLeft:
		case UIInterfaceOrientationLandscapeRight:
			nslog(@"横方向");
			break;
	}
}

// 画面を回転して良いかどうか
-(BOOL)shouldAutorotate
{
	printSelf();
	return shouldAutorotateByMain();
}

- (UIInterfaceOrientationMask)supportedInterfaceOrientations
{
	printSelf();
	return (supportedInterfaceOrientationsByMain());
}

//---------------------------------------------------

@end
